import { TabsProps } from 'antd';
import React from 'react';
import { Operator } from 'react-querybuilder';
import { IBuildItem, IEditType, IFieldType, IPredicateItemDef, IResultType, IValueItemDef } from '../typing';
import './styles.less';
interface IProps {
    disabled?: boolean;
    editItem?: IEditType;
    editField?: any;
    onInsert?: (data: IBuildItem) => void;
    onClearEdit?: () => void;
    getPredicateTypeDef: (activeTab?: string) => IPredicateItemDef;
    getValueList: (classID?: string, resultTypeID?: string, operatorName?: string) => IValueItemDef;
    getOperatorList?: (classID?: string, resultTypeID?: string) => Operator[];
    getResultTypeList?: (classID?: string) => IResultType[];
    clearEdit?: boolean;
    showRowNumberCol?: boolean;
    mode: 'horizontal' | 'vertical';
    compact?: boolean;
    predicateClassList: TabsProps['items'];
    onChangeTab?: (val: string) => void;
    onChangeSelect?: (field: IFieldType) => void;
}
export default function Index(props: IProps): React.JSX.Element;
export {};
